Skip to navigation

Validate Theme Configuration

Validates a theme configuration against the theme's schema without creating it. Useful for testing schemas before creation.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Themesmodifystore_themes_manage

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

uuidstringRequired
The theme identifier.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
variation_idstringOptional
The Variation to which the Configuration belongs.
settingsobjectOptional
The content of the configuration, which is a JSON object which will vary in structure from theme to theme.

Response

Theme passes validation.

Errors

422
Unprocessable Entity Error